# Part of Odoo. See LICENSE file for full copyright and licensing details.

from . import controllers
from . import models
from . import wizard


def post_init_hook(env):
    provider = env.ref('fusion_clover.payment_provider_clover', raise_if_not_found=False)
    if provider:
        provider._setup_provider('clover')


def uninstall_hook(env):
    provider = env.ref('fusion_clover.payment_provider_clover', raise_if_not_found=False)
    if provider:
        provider.write({'state': 'disabled', 'is_published': False})
